/*  Search Bar */
.modal {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 1; /* Sit on top */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
  opacity: 0; /* Start fully transparent */
  transition: opacity 0.4s ease;
}

.modal-content {
  background-color: #fefefe;
  margin: auto;
  padding: 20px;
  border: 1px solid #888;
  width: 80%;
  transform: translateY(-100%); /* Start above the screen */
  transition: transform 0.4s ease-out;
}

/* Add these classes to slide down and fade in */
.modal.show {
  display: block; /* Show the modal */
  opacity: 1; /* Fade in the background */
}

.modal-content.show {
  transform: translateY(0); /* Slide down */
}

/* Spinner Styles */
.spinner {
  border: 5px solid #f3f3f3;
  border-top: 5px solid #3498db;
  border-radius: 50%;
  width: 50px;
  height: 50px;
  animation: spin 2s linear infinite;
  position: absolute;
  top: 50%;
  left: 50%;
  margin: -25px 0 0 -25px;
  display: none;
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}


.dynamicfm{
  display: inline;
  width: 90%!important;
  float: left!important;;
  margin-right: 10px!important;;
  border: 1px solid #cacaca!important;;
  border-radius: 8px!important;;
  padding: 10px!important;;
}

.submitnonp{border: 0px;}


#closeButton {
  position: absolute;
  left: 50%;
  transform: translate(-80%, -80%);
  border-radius: 50%;
  width: 50px;
  height: 50px;
  text-align: center;
  background-color: #ecb35c;
  color: white;
  border: none;
  cursor: pointer;
}
#closeButton i {
  vertical-align: middle; /* Center the icon vertically */
}

/* Animation for slide-down and fade-in */
@keyframes slideDownFadeIn {
  from {
      opacity: 0;
      transform: translateY(-50px);
  }
  to {
      opacity: 1;
      transform: translateY(0);
  }
}

/* Animation for fade-out and slide-up */
@keyframes fadeOutSlideUp {
  from {
      opacity: 1;
      transform: translateY(0);
  }
  to {
      opacity: 0;
      transform: translateY(-50px);
  }
}

/* Apply animation to modal */
#iframeModal {
  /* your existing styles for modal */
  animation-duration: 0.5s; /* duration of the animation */
  animation-fill-mode: forwards; /* keeps the end state after the animation */
  
      position: fixed;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 9999;
}

/* Class to control opening animation */
.opening-animation {
  animation-name: slideDownFadeIn;
}

/* Class to control closing animation */
.closing-animation {
  animation-name: fadeOutSlideUp;
}
